/* FichothequeLib_API - Copyright (c) 2012-2019 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.exportation.table;

import java.util.List;
import net.mapeadores.util.annotation.Nullable;
import net.mapeadores.util.text.Labels;


/**
 *
 * @author Vincent Calame
 */
public interface TableInclusionDef extends TableDefItem {

    public String getNameSpace();

    public String getLocalName();

    @Nullable
    public Labels getLabels();

    public List<String> getConfigLineList();

}
